#ifndef GTOOLKIT_GTKCONTAINER_H
#define GTOOLKIT_GTKCONTAINER_H

#include <GToolKit/GTKWidget.h>
#include <gtk/gtkcontainer.h>

@interface GTKContainer : GTKWidget
+ (GtkType) getType;
- (void) borderWidth:(gint) border_width;
- (void) add:(GTKWidget *) widget;
- (void) remove:(GTKWidget *) widget;
- (void) disableResize;
- (void) enableResize;
- (void) blockResize;
- (void) unblockResize;
- (gint) needResize;
- (void) foreach:(GtkCallback) callback callbackData:(gpointer) callback_data;
- (void) foreachInterp:(GtkCallbackMarshal) marshal callbackData:(gpointer) callback_data notify:(GtkDestroyNotify) notify;
- (void) foreachFull:(GtkCallback) callback marshal:(GtkCallbackMarshal) marshal callbackData:(gpointer) callback_data notify:(GtkDestroyNotify) notify;
- (NSArray *) children;
- (void) registerToplevel;
- (void) unregisterToplevel;
- (gint) focus:(GtkDirectionType) direction;
- (void) setFocusChild:(GTKWidget *) child;
- (void) setFocusVadjustment:(GTKAdjustment *) adjustment;
- (void) setFocusHadjustment:(GTKAdjustment *) adjustment;
@end

#endif
