#ifndef GTOOLKIT_GTKTOOLBAR_H
#define GTOOLKIT_GTKTOOLBAR_H

#include <GToolKit/GTKContainer.h>
#include <gtk/gtktoolbar.h>

@interface GTKToolbar : GTKContainer
+ (guint) getType;
+ toolbarWithOrientation:(GtkOrientation) orientation style:(GtkToolbarStyle) style;
- initWithOrientation:(GtkOrientation) orientation style:(GtkToolbarStyle) style;
- (GTKWidget *) appendItem:(const NSString *) text tooltipText:(const NSString *) tooltip_text tooltipPrivateText:(const NSString *) tooltip_private_text icon:(GTKWidget *) icon callback:(GtkSignalFunc) callback userData:(gpointer) user_data;
- (GTKWidget *) prependItem:(const NSString *) text tooltipText:(const NSString *) tooltip_text tooltipPrivateText:(const NSString *) tooltip_private_text icon:(GTKWidget *) icon callback:(GtkSignalFunc) callback userData:(gpointer) user_data;
- (GTKWidget *) insertItem:(const NSString *) text tooltipText:(const NSString *) tooltip_text tooltipPrivateText:(const NSString *) tooltip_private_text icon:(GTKWidget *) icon callback:(GtkSignalFunc) callback userData:(gpointer) user_data position:(gint) position;
- (void) appendSpace;
- (void) prependSpace;
- (void) insertSpace:(gint) position;
- (GTKWidget *) appendElement:(GtkToolbarChildType) type widget:(GTKWidget *) widget text:(const NSString *) text tooltipText:(const NSString *) tooltip_text tooltipPrivateText:(const NSString *) tooltip_private_text icon:(GTKWidget *) icon callback:(GtkSignalFunc) callback userData:(gpointer) user_data;
- (GTKWidget *) prependElement:(GtkToolbarChildType) type widget:(GTKWidget *) widget text:(const NSString *) text tooltipText:(const NSString *) tooltip_text tooltipPrivateText:(const NSString *) tooltip_private_text icon:(GTKWidget *) icon callback:(GtkSignalFunc) callback userData:(gpointer) user_data;
- (GTKWidget *) insertElement:(GtkToolbarChildType) type widget:(GTKWidget *) widget text:(const NSString *) text tooltipText:(const NSString *) tooltip_text tooltipPrivateText:(const NSString *) tooltip_private_text icon:(GTKWidget *) icon callback:(GtkSignalFunc) callback userData:(gpointer) user_data position:(gint) position;
- (void) appendWidget:(GTKWidget *) widget tooltipText:(const NSString *) tooltip_text tooltipPrivateText:(const NSString *) tooltip_private_text;
- (void) prependWidget:(GTKWidget *) widget tooltipText:(const NSString *) tooltip_text tooltipPrivateText:(const NSString *) tooltip_private_text;
- (void) insertWidget:(GTKWidget *) widget tooltipText:(const NSString *) tooltip_text tooltipPrivateText:(const NSString *) tooltip_private_text position:(gint) position;
- (void) setOrientation:(GtkOrientation) orientation;
- (void) setStyle:(GtkToolbarStyle) style;
- (void) setSpaceSize:(gint) space_size;
- (void) setTooltips:(gint) enable;
@end

#endif
