#ifndef GTOOLKIT_GTKWINDOW_H
#define GTOOLKIT_GTKWINDOW_H

#include <GToolKit/GTKBin.h>
#include <gtk/gtkwindow.h>

@interface GTKWindow : GTKBin
+ (GtkType) getType;
+ windowWithType:(GtkWindowType) type;
- initWithType:(GtkWindowType) type;
- (void) setTitle:(const NSString *) title;
- (void) setWmclass:(const NSString *) wmclass_name wmclassClass:(const NSString *) wmclass_class;
- (void) setFocus:(GTKWidget *) focus;
- (void) setDefault:(GTKWidget *) defaultw;
- (void) setPolicy:(gint) allow_shrink allowGrow:(gint) allow_grow autoShrink:(gint) auto_shrink;
- (void) addAcceleratorTable:(GTKAcceleratorTable *) table;
- (void) removeAcceleratorTable:(GTKAcceleratorTable *) table;
- (void) position:(GtkWindowPosition) position;
- (gint) activateFocus;
- (gint) activateDefault;
- (NSString *) title;
- (GTKWidget *) focusWidget;
- (GTKWidget *) defaultWidget;
@end

#endif
